Debian Bug report logs - #727833
ITP: node-bytes -- Byte string parser and formatter - Node.js module

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Lal <kapouer@melix.org>

Date: Sun, 27 Oct 2013 14:39:07 UTC

Owned by: "Jérémy Lal" <kapouer@melix.org>

Severity: wishlist

Fixed in version node-bytes/0.2.1-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#727833; Package wnpp. (Sun, 27 Oct 2013 14:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Sun, 27 Oct 2013 14:39:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-bytes -- Byte string parser and formatter - Node.js module
Date: Sun, 27 Oct 2013 15:37:53 +0100
Package: wnpp
Severity: wishlist
Owner: "Jérémy Lal" <kapouer@melix.org>

* Package name    : node-bytes
  Version         : 0.2.1
  Upstream Author : TJ Holowaychuk <tj@vision-media.ca>
* URL             : https://github.com/visionmedia/bytes.js
* License         : Expat
  Programming Lang: JavaScript
  Description     : Byte string parser and formatter - Node.js module

This module parses strings representing an amount of bytes, like
1kb, 2mb, 1gb; and inversely converts positive integers to a readable
format representing an amount of bytes.
It is useful for parsing or writing log files.
.
Node.js is an event-based server-side javascript engine.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 27 Oct 2013 19:06:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#727833; Package wnpp. (Sun, 03 Nov 2013 00:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Sun, 03 Nov 2013 00:48:04 GMT) Full text and rfc822 format available.

Message #12 received at 727833@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: Jérémy Lal <kapouer@melix.org>
Cc: 727833@bugs.debian.org, TJ Holowaychuk <tj@vision-media.ca>
Subject: Re: Bug#727833: ITP: node-bytes -- Byte string parser and formatter - Node.js module
Date: Sun, 3 Nov 2013 01:44:33 +0100
On Sun, Nov 03, 2013 at 01:30:15AM +0100, Jérémy Lal wrote:
> On 03/11/2013 00:56, Jean-Christophe Dubacq wrote:
> > I have looked at the code, and it seems to me that, again, we introduce
> > some code in debian that decide they can name the units any way they
> > like (see http://en.wikipedia.org/wiki/Binary_prefix).
> > 
> > They decide, for example, to use k, m and g prefixes for 2^10, 2^20 and
> > 2^30, where usage should point to at least k, M and G and correct usage
> > to Ki, Mi, Gi. They also call bytes 'b' (usage is more 'B').

> I agree the units are wrong and will fix it, and try to make
> upstream fix it too.

Please, don't break it.

A well-entrenched practice used for 60+ years has more weight than what a
random committee with delusions of importance decided a few years ago
asked by a couple of sleazy disk manufacturers wanting to weasel their
way out of lawsuits caused by lies of their marketing departments.

And that "binary prefix" crap is outright harmful: if 1 MB stands for
1048576 bytes like it does, what would "1 MiB" be?  That's intuitive,
1 _mi_llion, right?  Right??

-- 
A tit a day keeps the vet away.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#727833; Package wnpp. (Sun, 03 Nov 2013 14:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Sun, 03 Nov 2013 14:36:09 GMT) Full text and rfc822 format available.

Message #17 received at 727833@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Jérémy Lal <kapouer@melix.org>
Cc: 727833@bugs.debian.org
Subject: Re: Bug#727833: ITP: node-bytes -- Byte string parser and formatter - Node.js module
Date: Sun, 03 Nov 2013 15:34:19 +0100
On 03.11.2013 01:30, Jérémy Lal wrote:
> On 03/11/2013 00:56, Jean-Christophe Dubacq wrote:
....
>> 3. Seriously, one package for _18_ lines of code?
> 


To the very least the package should be renamed e.g.
node-bytereprconverter or something less generic.
bytes is far too generic, not really related to what it actually does,
and pollutes the (node) namespace.

Given that there is no agreement on what is the right way to do what
this package attempts to do, I think packaging should stalled until
upstream actually provides useful functionality, like being able to
choose between both interpretations of representations.
Reverse depends requiring the package in its current form can easily be
patched with these few lines.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#727833; Package wnpp. (Sun, 03 Nov 2013 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Sun, 03 Nov 2013 17:03:07 GMT) Full text and rfc822 format available.

Message #22 received at 727833@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Julian Taylor <jtaylor.debian@googlemail.com>
Cc: 727833@bugs.debian.org
Subject: Re: Bug#727833: ITP: node-bytes -- Byte string parser and formatter - Node.js module
Date: Sun, 03 Nov 2013 18:00:46 +0100
On 03/11/2013 15:34, Julian Taylor wrote:
> On 03.11.2013 01:30, Jérémy Lal wrote:
>> On 03/11/2013 00:56, Jean-Christophe Dubacq wrote:
> ....
>>> 3. Seriously, one package for _18_ lines of code?
>>
> 
> 
> To the very least the package should be renamed e.g.
> node-bytereprconverter or something less generic.
> bytes is far too generic, not really related to what it actually does,

a package name does not have to reflect what it does in any way...

> and pollutes the (node) namespace.

There is little chance another node module, which happen to be also an
npm package, has the same name, since the collision would happen in npm
repository before reaching debian.


> Given that there is no agreement on what is the right way to do what
> this package attempts to do, I think packaging should stalled until
> upstream actually provides useful functionality, like being able to
> choose between both interpretations of representations.

The fonctionality is useful enough that several modules depend on it
already, see [0] for a complete list.
When i meet those conditions: the software is a few lines of code,
it is a dependency leaf, and no other module than one module by the
same author is using it, i agree that it's best to provide those lines
as a patch.

> Reverse depends requiring the package in its current form can easily be
> patched with these few lines.

But then, when several[0] packages have incorporated those few lines,
the job to update that representation will require fixing all packages
instead of updating just one.

Jérémy.


[0]
https://npmjs.org/browse/depended/bytes
to be fair, only a small part of those modules is interesting or
still maintained.




Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Fri, 29 Nov 2013 16:04:57 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:04:57 GMT) Full text and rfc822 format available.

Message #27 received at 727833-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 727833-close@bugs.debian.org
Subject: Bug#727833: fixed in node-bytes 0.2.1-1
Date: Fri, 29 Nov 2013 16:00:15 +0000
Source: node-bytes
Source-Version: 0.2.1-1

We believe that the bug you reported is fixed in the latest version of
node-bytes, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727833@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated node-bytes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 27 Oct 2013 15:44:30 +0100
Source: node-bytes
Binary: node-bytes
Architecture: source all
Version: 0.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 node-bytes - Byte string parser and formatter - Node.js module
Closes: 727833
Changes: 
 node-bytes (0.2.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #727833)
Checksums-Sha1: 
 532653ec685f855fdc47e88c64b4a84b295127a5 1969 node-bytes_0.2.1-1.dsc
 860bef3c950e4343de770b91249b160eb61eea40 2360 node-bytes_0.2.1.orig.tar.gz
 7b640111bd856cc9dfb17b32153a6d409387e825 1954 node-bytes_0.2.1-1.debian.tar.gz
 af110621aeae6a2b714eb3605ed0bbbad9a8b8e6 2980 node-bytes_0.2.1-1_all.deb
Checksums-Sha256: 
 92c51097e9a8e04dfe7abaa0fec1c58805f1a4595c64a83a0ff2279ec33eb3cf 1969 node-bytes_0.2.1-1.dsc
 c63f85fb9dc0634dc0456ee5f556edddfd9a050f2a7a7c7a7ea1ab4589fe80f8 2360 node-bytes_0.2.1.orig.tar.gz
 6a0cb084f1c55e10ea358e6ab5f6bf35f71fceb1554940a03c81f9992fd48314 1954 node-bytes_0.2.1-1.debian.tar.gz
 fcb0f9820264a7a81dc9244cd3efa6982060db628f04358a37bf7ae2d16710fa 2980 node-bytes_0.2.1-1_all.deb
Files: 
 0aeca406d65019b3cb653008ef2becba 1969 web extra node-bytes_0.2.1-1.dsc
 6a529d7d25f01ffcd3f6247982d0dff8 2360 web extra node-bytes_0.2.1.orig.tar.gz
 ae2b6a82b54b31597a88f64ba5c2b5d0 1954 web extra node-bytes_0.2.1-1.debian.tar.gz
 65441b46727754d3dc2092a4e633bb32 2980 web extra node-bytes_0.2.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSbSbsAAoJEGYRwF7dOfN0EZoP/18O+8qv/etZtzxYuJVyeAmm
T1lHaX9qiH78urncnfBeLAycGPmmlXF6O0XOPWltX3BQ6jmOwHnYofw4i4DO88AU
Qzu2F+JJKkMtaA0b0KIGtzqt98HKtCdHxkih8MfRfgpA8MurJop91YD7QPUokQO5
xV7NaNl+Zp9KOci6K1vB1Po0HJ3NEEy6sEaykTLOKTE/zBwhb49iuaAOkBOvgF3A
78C0LNBJrvITL43bKOXcJttg+T9iymrSULzfh9h+018jk2k/StyFVvjIOoYGXmfi
9SPf6QFGb5lvF3FYYtCt3WOn8d3RGRsVcaAkKpOmqu660ApgcgrRcLuERo2YFozJ
lXY1e3yzJb3W8kROEML8R7qTd3o3OdDcVB7iFUMTt/PjXp3ndgglJ7fLCSXRRDXn
Sp5Ca7ElvqEGYFjBCcgHBGlMIPJHS6jCb5TDuvzepmgarQW1tsJpGPfVdsRFWReT
U8ZqSZ/5eNpPJl4uvI2uSx5j7JU32yGCDPoHrND2D0U7UOJhrDbJ75cAajGeSGyu
Sc88sGzaXjYVI9YwrDZyo+AvigT6WMC9dYUYJyaQwZe5Lx9tuuPXMPfvqg9yng78
tCD8Q2JmjE/64v2e5SuyfA44LzJ49e/nxfHjzUCYbsBE6DzIwb09sk0wgJL3ACLX
SEzvShgaWUnljqVJz+6E
=erua
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:31:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:41:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.